Bug 664201 - [abrt] pitivi-0.13.5-1.fc14: plumber.py:132:_makeBin:AttributeError: 'NoneType' object has no attribute 'props'
Summary: [abrt] pitivi-0.13.5-1.fc14: plumber.py:132:_makeBin:AttributeError: 'NoneTyp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:641a89b1
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-19 05:53 UTC by Jim
Modified: 2011-06-24 03:45 UTC (History)
3 users (show)

Fixed In Version: pitivi-0.14.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-24 03:45:10 UTC


Attachments (Terms of Use)
File: backtrace (1.09 KB, text/plain)
2010-12-19 05:53 UTC, Jim
no flags Details

Description Jim 2010-12-19 05:53:28 UTC
abrt version: 1.1.14
architecture: i686
cmdline: python /usr/bin/pitivi
component: pitivi
executable: /usr/bin/pitivi
kernel: 2.6.35.9-64.fc14.i686.PAE
package: pitivi-0.13.5-1.fc14
reason: plumber.py:132:_makeBin:AttributeError: 'NoneType' object has no attribute 'props'
release: Fedora release 14 (Laughlin)
time: 1292737943
uid: 500

backtrace
-----
plumber.py:132:_makeBin:AttributeError: 'NoneType' object has no attribute 'props'

Traceback (most recent call last):
  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 892, in _binPadAddedCb
    handled |= action.handleNewStream(factory, stream)
  File "/usr/share/pitivi/python/pitivi/action.py", line 502, in handleNewStream
    prodstream, consstream, init=False)
  File "/usr/share/pitivi/python/pitivi/action.py", line 618, in _activateLink
    consstream, automake=True)
  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 532, in getBinForFactoryStream
    bin = stream_entry.bin = factory.makeBin(stream)
  File "/usr/share/pitivi/python/pitivi/factories/base.py", line 563, in makeBin
    bin = self._makeBin(input_stream)
  File "/usr/share/pitivi/python/pitivi/plumber.py", line 132, in _makeBin
    self._realsink.props.sync = self.sync
AttributeError: 'NoneType' object has no attribute 'props'

Local variables in innermost frame:
autoaudiosink: <__main__.GstAutoAudioSink object (autoaudiosink4) at 0xb6a5acc>
self: <pitivi.plumber.DefaultAudioSink object at 0xb6acfcc>
input_stream: None

How to reproduce
-----
1. Added several mpegs to timeline.
2. saved project
3. attempted to render the project. FAIL.

Comment 1 Jim 2010-12-19 05:53:30 UTC
Created attachment 469567 [details]
File: backtrace

Comment 2 Fedora Update System 2011-06-14 17:44:45 UTC
pitivi-0.14.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pitivi-0.14.0-2.fc14

Comment 3 Fedora Update System 2011-06-15 18:34:43 UTC
Package pitivi-0.14.0-2.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pitivi-0.14.0-2.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/pitivi-0.14.0-2.fc14
then log in and leave karma (feedback).

Comment 4 Fedora Admin XMLRPC Client 2011-06-20 20:55:49 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Admin XMLRPC Client 2011-06-20 20:57:27 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Admin XMLRPC Client 2011-06-20 21:05:04 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Update System 2011-06-24 03:42:49 UTC
pitivi-0.14.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.